[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# StringCodePage

Get the code page of a string

## Declaration

Source position: systemh.inc line 1230

`function StringCodePage(`
`const S: RawByteString`
`):TSystemCodePage; overload; function StringCodePage(`
`const S: UnicodeString`
`):TSystemCodePage; overload;`

## Description

StringCodePage returns the code page of a string (S), regardless of the string type. It accesses the internal structures of the string to retrieve this information. For an empty string, DefaultSystemCodePage is returned.

## See also

DefaultSystemCodePage |  | Current system codepage.
StringElementSize |  | Get the character size of a string.
StringRefCount |  | Get the reference count of a string
SetCodePage |  | Set the codepage of a string